(defun c:armario ()
(setq pontos2d (getvar "osmode"))
(setq pontos3d (getvar "3dosmode"))
(setvar "osmode" 0)
(setvar "3dosmode" 0)
(setq pt1 (getpoint "indique o ponto de insercao do armario: "))
(If (= nil
(setq largura (getreal "indique a profundidade do armario (em x): ")))
(setq largura 0.60))
(If (= nil
(setq comprimento (getreal "indique o comprimento do armario (em y): ")))
(setq comprimento 1.20))
(If (= nil
(setq topo (getreal "indique a altura do armario (em z): ")))
(setq topo 2.00))
(If (= nil
(setq base (getreal "indique a base da caixa do armario (em z): ")))
(setq base 0.05))
(If (= nil
(setq esp_base (getreal "indique a espessura da base (em z): ")))
(setq esp_base 0.02))
(If (= nil
(setq esp_topo (getreal "indique a espessura da tampa (em z): ")))
(setq esp_topo 0.02))
(setq raio 0.025)
(If (= nil
(setq esp_cos (getreal "indique a espessura dos lados e costa (em x/y): ")))
(setq esp_cos 0.02))
(If (= nil
(setq gaveta1 (getreal "indique a altura da gaveta de baixo (em z): ")))
(setq gaveta1 (+ (+ base esp_base) 0.20)))
(If (= nil
(setq gaveta2 (getreal "indique a altura da gaveta de cima (em z): ")))
(setq gaveta2 (+ gaveta1 0.20)))
(If (= nil
(setq divisoria (getreal "indique a posicao da divisoria (em y): ")))
(setq divisoria (- (/ comprimento 2) 0.01)))
(modelar)
(modelar2)
(modelar3)
(modelar4)
(modelar5)
(modelar6)
(setvar "osmode" pontos2d)
(setvar "3dosmode" pontos3d)
(command "ucs" "")
(command "shademode" "h" "")
)
(defun modelar ()
(command "ucs" pt1 "")
(command "box" (list 0 0 base) (list largura comprimento (+ base esp_base)))
(setq e1 (entlast))
(command "cylinder" (list raio raio 0) raio base)
(command "array" (entlast) "" "r" 2 2 (- comprimento (* raio 2)) (- largura (* raio 2)))
)
(defun modelar2 ()
(command "box" (list 0 0 (- topo esp_topo)) (list largura comprimento topo))
)
(defun modelar3 ()
(command "box" (list 0 0 (+ base esp_base)) (list esp_cos comprimento (- topo esp_cos)))
)
(defun modelar4 ()
(command "box" (list esp_cos 0 (+ base esp_base)) (list largura esp_cos (- topo esp_topo)))
(setq e2 (entlast))
(command "box" (list esp_cos (- comprimento esp_cos) (+ base esp_base)) (list largura comprimento (- topo esp_topo))
))
(defun modelar5 ()
(command "box" (list esp_cos esp_cos gaveta1) (list (- largura esp_cos) (- comprimento esp_cos) (+ gaveta1 esp_base)))
(setq e3 (entlast))
(command "box" (list esp_cos esp_cos gaveta2) (list (- largura esp_cos) (- comprimento esp_cos) (+ gaveta2 esp_base)))
)
(defun modelar6 ()
(command "box" (list esp_cos divisoria (+ gaveta2 esp_base)) (list (- largura esp_cos) (+ divisoria esp_cos) (- topo esp_topo)))
)